export declare enum ParseStatus {
    INVALID_PACKAGE_NAME = "INVALID_NAME",
    INVALID_URL = "INVALID_URL",
    NO_URL_FOUND = "NO_URL_FOUND",
    PACKAGE_NOT_FOUND = "PACKAGE_NOT_FOUND",
    SERVER_ERROR = "SERVER_ERROR",
    SUCCESS = "SUCCESS",
    VERSION_NOT_FOUND = "VERSION_NOT_FOUND"
}
export type ParseResult = {
    status: Exclude<ParseStatus, ParseStatus.SUCCESS>;
} | {
    status: ParseStatus.SUCCESS;
    url: string;
};
export declare function getPackageUrl(rawPackageName: string, version?: string): Promise<ParseResult>;
