"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const path_1 = __importDefault(require("path"));
const find_up_1 = __importDefault(require("find-up"));
const packageJsonPath = find_up_1.default.sync('package.json', { allowSymlinks: false });
if (!packageJsonPath) {
    throw new Error('Could not find file `package.json`');
}
const { version } = require(packageJsonPath);
const defaultPort = 4000;
const config = {
    CACHE_DURATION_SECONDS: 300,
    COMPRESS_LEVEL: 6,
    COMPRESS_MIN_SIZE: 500,
    DIST_DIR: path_1.default.resolve(__dirname),
    ENVIRONMENT: process.env.ENVIRONMENT || 'prod',
    PORT_HTTP: Number(process.env.PORT || defaultPort),
    VERSION: version,
};
exports.config = config;
config.DEVELOPMENT = config.ENVIRONMENT === 'dev';
//# sourceMappingURL=config.js.map