"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notFoundRoute = exports.internalErrorRoute = void 0;
const express_1 = require("express");
const http_status_codes_1 = require("http-status-codes");
const utils_1 = require("../../utils");
const logger = (0, utils_1.getLogger)('routes/errorRoutes');
const router = (0, express_1.Router)();
function internalErrorRoute() {
    return (error, _request, response) => {
        logger.error(`[${(0, utils_1.formatDate)()}] ${error.stack}`);
        return response.status(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR).json({
            code: http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR,
            message: 'Internal server error',
            stack: error.stack,
        });
    };
}
exports.internalErrorRoute = internalErrorRoute;
function notFoundRoute() {
    return router.get('*', (_request, response) => response.status(http_status_codes_1.StatusCodes.NOT_FOUND).json({
        code: http_status_codes_1.StatusCodes.NOT_FOUND,
        message: 'Not found',
    }));
}
exports.notFoundRoute = notFoundRoute;
//# sourceMappingURL=errorRoutes.js.map