"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.infoRoute = void 0;
const express_1 = require("express");
const find_up_1 = __importDefault(require("find-up"));
const fs_1 = __importDefault(require("fs"));
const http_status_codes_1 = require("http-status-codes");
const utils_1 = require("../utils");
const logger = (0, utils_1.getLogger)('routes/infoRoute');
const router = (0, express_1.Router)();
let version;
let commit;
const packageJsonPath = find_up_1.default.sync('package.json', { allowSymlinks: false, cwd: __dirname });
if (!packageJsonPath) {
    logger.warn('Could not find file `package.json`. Version will not be shown in the `_info` endpoint');
}
else {
    version = require(packageJsonPath).version;
}
const commitPath = find_up_1.default.sync('commit', { allowSymlinks: false, cwd: __dirname });
if (!commitPath) {
    logger.warn('Could not find file `commit`. Commit will not be shown in the `_info` endpoint');
}
else {
    commit = fs_1.default.readFileSync(commitPath, 'utf-8');
}
function infoRoute() {
    return router.get('/_info/?', (_request, res) => res.json(Object.assign(Object.assign({ code: http_status_codes_1.StatusCodes.OK }, (commit && { commit })), (version && { version }))));
}
exports.infoRoute = infoRoute;
//# sourceMappingURL=infoRoute.js.map