"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initSwaggerRoute = void 0;
const find_up_1 = __importDefault(require("find-up"));
const swagger_ui_express_1 = __importDefault(require("swagger-ui-express"));
const swaggerJsonPath = find_up_1.default.sync('swagger.json', { allowSymlinks: false, cwd: __dirname });
if (!swaggerJsonPath) {
    throw new Error('Could not find file `swagger.json`');
}
const swaggerDocument = require(swaggerJsonPath);
function initSwaggerRoute(app, config) {
    const swaggerOptions = {
        host: `localhost:${config.PORT_HTTP}`,
    };
    const CSS_URL = 'https://cdnjs.cloudflare.com/ajax/libs/swagger-ui/4.1.0/swagger-ui.min.css';
    app.use('/_swagger-ui/?', swagger_ui_express_1.default.serve, swagger_ui_express_1.default.setup(swaggerDocument, { customCssUrl: CSS_URL, swaggerOptions }));
}
exports.initSwaggerRoute = initSwaggerRoute;
//# sourceMappingURL=swaggerRoute.js.map