/// <reference types="node" />
import { URL } from 'url';
import type { Request } from 'express';
import type { ParamsDictionary } from 'express-serve-static-core';
export declare function formatDate(): string;
export declare function getLogger(name: string): {
    debug: (...args: any[]) => void;
    error: (...args: any[]) => void;
    info: (...args: any[]) => void;
    log: (...args: any[]) => void;
    warn: (...args: any[]) => void;
};
export declare function validateUrl(url: string): URL | null;
export declare function queryParameterExists<ReqQuery extends ParamsDictionary, Parameter extends keyof ReqQuery>(request: Request<any, any, any, ReqQuery>, parameter: Parameter): boolean;
