"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryParameterExists = exports.validateUrl = exports.getLogger = exports.formatDate = void 0;
const url_1 = require("url");
const dateFns = __importStar(require("date-fns"));
const logdown_1 = __importDefault(require("logdown"));
function formatDate() {
    return dateFns.format(new Date(), 'yyyy-MM-dd HH:mm:ss');
}
exports.formatDate = formatDate;
function getLogger(name) {
    const logger = (0, logdown_1.default)(`pkgsource/${name}`, {
        logger: console,
        markdown: false,
    });
    return {
        debug: (...args) => logger.debug(`[${formatDate()}]`, ...args),
        error: (...args) => logger.error(`[${formatDate()}]`, ...args),
        info: (...args) => logger.info(`[${formatDate()}]`, ...args),
        log: (...args) => logger.log(`[${formatDate()}]`, ...args),
        warn: (...args) => logger.warn(`[${formatDate()}]`, ...args),
    };
}
exports.getLogger = getLogger;
function validateUrl(url) {
    try {
        return new url_1.URL(url);
    }
    catch (error) {
        getLogger('utils').info(`Could not create new URL from "${url}": ${error}`);
        return null;
    }
}
exports.validateUrl = validateUrl;
function queryParameterExists(request, parameter) {
    return parameter in request.query && request.query[parameter] !== 'false';
}
exports.queryParameterExists = queryParameterExists;
//# sourceMappingURL=utils.js.map